<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>flubioIBM &ndash; FLUBIO </title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>flubioIBM
    <small>Derived Type</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title="<p> 0.6% of total for derived types.</p>Including implementation: 7 statements,  0.1% of total for derived types.">7 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/immersedBoundary.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/immersedboundary.f03.html'>immersedBoundary.f03</a></li>
    
     <li><a href='../module/immersedboundary.html'>immersedBoundary</a></li>
    
  
     <li class="active">flubioIBM</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 



<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#vars-0">Variables</a></h3></div>
  <div id="vars-0" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/flubioibm.html#variable-ibnames">ibNames</a>
      
      <a class="list-group-item" href="../type/flubioibm.html#variable-numberofbodies">numberOfBodies</a>
      
      <a class="list-group-item" href="../type/flubioibm.html#variable-ibdict">ibDict</a>
      
      <a class="list-group-item" href="../type/flubioibm.html#variable-ibsurfaces%7E2">ibSurfaces</a>
      
    </div>
  </div>
</div>





















</div>

    </div>
    
    <div class="col-md-9" id='text'>
      <h2>type, public :: flubioIBM</h2>
    
    <br>
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Inherits</h3>
      </div>
      <div class="panel-body">
    <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: type~~flubioibm~~InheritsGraph Pages: 1 -->
<svg id="typeflubioibmInheritsGraph" width="417pt" height="116pt"
 viewBox="0.00 0.00 417.00 116.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="type~~flubioibm~~InheritsGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 112)">
<title>type~~flubioibm~~InheritsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-112 413,-112 413,4 -4,4"/>
<!-- type~flubioibm -->
<g id="type~~flubioibm~~InheritsGraph_node1" class="node">
<title>type~flubioibm</title>
<polygon fill="none" stroke="#000000" points="409,-86 352,-86 352,-62 409,-62 409,-86"/>
<text text-anchor="middle" x="380.5" y="-71.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">flubioIBM</text>
</g>
<!-- type~ibdictionary -->
<g id="type~~flubioibm~~InheritsGraph_node2" class="node">
<title>type~ibdictionary</title>
<g id="a_type~~flubioibm~~InheritsGraph_node2"><a xlink:href=".././type/ibdictionary.html" xlink:title="ibDictionary">
<polygon fill="#5cb85c" stroke="#5cb85c" points="262,-108 194,-108 194,-84 262,-84 262,-108"/>
<text text-anchor="middle" x="228" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">ibDictionary</text>
</a>
</g>
</g>
<!-- type~flubioibm&#45;&gt;type~ibdictionary -->
<g id="type~~flubioibm~~InheritsGraph_edge1" class="edge">
<title>type~flubioibm&#45;&gt;type~ibdictionary</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M351.8159,-78.138C329.4454,-81.3653 297.9802,-85.9045 272.3681,-89.5994"/>
<polygon fill="#000000" stroke="#000000" points="271.552,-86.1808 262.1542,-91.0728 272.5516,-93.109 271.552,-86.1808"/>
<text text-anchor="middle" x="311.5" y="-88.4" font-family="Helvetica,sans-Serif" font-size="9.50" fill="#000000">ibDict</text>
</g>
<!-- type~stlfileswrapper -->
<g id="type~~flubioibm~~InheritsGraph_node3" class="node">
<title>type~stlfileswrapper</title>
<g id="a_type~~flubioibm~~InheritsGraph_node3"><a xlink:href=".././type/stlfileswrapper.html" xlink:title="stlFilesWrapper">
<polygon fill="#5cb85c" stroke="#5cb85c" points="271,-66 185,-66 185,-42 271,-42 271,-66"/>
<text text-anchor="middle" x="228" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">stlFilesWrapper</text>
</a>
</g>
</g>
<!-- type~flubioibm&#45;&gt;type~stlfileswrapper -->
<g id="type~~flubioibm~~InheritsGraph_edge2" class="edge">
<title>type~flubioibm&#45;&gt;type~stlfileswrapper</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M351.6886,-64.9499C345.8814,-63.4084 339.7839,-61.9885 334,-61 316.9882,-58.0925 298.2497,-56.3753 281.32,-55.3666"/>
<polygon fill="#000000" stroke="#000000" points="281.2144,-51.8563 271.0443,-54.8259 280.8465,-58.8466 281.2144,-51.8563"/>
<text text-anchor="middle" x="311.5" y="-63.4" font-family="Helvetica,sans-Serif" font-size="9.50" fill="#000000">ibSurfaces</text>
</g>
<!-- generalDict -->
<g id="type~~flubioibm~~InheritsGraph_node4" class="node">
<title>generalDict</title>
<polygon fill="#5cb85c" stroke="#5cb85c" points="83,-108 16,-108 16,-84 83,-84 83,-108"/>
<text text-anchor="middle" x="49.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">generalDict</text>
</g>
<!-- type~ibdictionary&#45;&gt;generalDict -->
<g id="type~~flubioibm~~InheritsGraph_edge3" class="edge">
<title>type~ibdictionary&#45;&gt;generalDict</title>
<path fill="none" stroke="#000000" d="M193.5834,-96C165.0033,-96 124.1751,-96 93.2729,-96"/>
<polygon fill="#000000" stroke="#000000" points="93.2056,-92.5001 83.2056,-96 93.2056,-99.5001 93.2056,-92.5001"/>
</g>
<!-- file_stl_object -->
<g id="type~~flubioibm~~InheritsGraph_node5" class="node">
<title>file_stl_object</title>
<polygon fill="#5cb85c" stroke="#5cb85c" points="88,-66 11,-66 11,-42 88,-42 88,-66"/>
<text text-anchor="middle" x="49.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">file_stl_object</text>
</g>
<!-- type~stlfileswrapper&#45;&gt;file_stl_object -->
<g id="type~~flubioibm~~InheritsGraph_edge4" class="edge">
<title>type~stlfileswrapper&#45;&gt;file_stl_object</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M184.7901,-54C158.6238,-54 125.1869,-54 98.1015,-54"/>
<polygon fill="#000000" stroke="#000000" points="98.0602,-50.5001 88.0601,-54 98.0601,-57.5001 98.0602,-50.5001"/>
<text text-anchor="middle" x="142" y="-56.4" font-family="Helvetica,sans-Serif" font-size="9.50" fill="#000000">STLFile</text>
</g>
<!-- surface_stl_object -->
<g id="type~~flubioibm~~InheritsGraph_node6" class="node">
<title>surface_stl_object</title>
<polygon fill="#5cb85c" stroke="#5cb85c" points="99,-24 0,-24 0,0 99,0 99,-24"/>
<text text-anchor="middle" x="49.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">surface_stl_object</text>
</g>
<!-- type~stlfileswrapper&#45;&gt;surface_stl_object -->
<g id="type~~flubioibm~~InheritsGraph_edge5" class="edge">
<title>type~stlfileswrapper&#45;&gt;surface_stl_object</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M184.7901,-43.833C162.119,-38.4986 133.9899,-31.88 109.2629,-26.0619"/>
<polygon fill="#000000" stroke="#000000" points="109.7951,-22.5916 99.2593,-23.7081 108.1918,-29.4055 109.7951,-22.5916"/>
<text text-anchor="middle" x="142" y="-41.4" font-family="Helvetica,sans-Serif" font-size="9.50" fill="#000000">STLSurface</text>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="178pt" height="32pt"
 viewBox="0.00 0.00 177.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 173.5,-28 173.5,4 -4,4"/>
<!-- Type -->
<g id="node1" class="node">
<title>Type</title>
<polygon fill="#5cb85c" stroke="#5cb85c" points="54,-24 0,-24 0,0 54,0 54,-24"/>
<text text-anchor="middle" x="27" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Type</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node2" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="169.5,-24 72.5,-24 72.5,0 169.5,0 169.5,-24"/>
<text text-anchor="middle" x="121" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a derived type to the parent type which it
    extends. Dashed arrows point from a derived type to the other
    types it contains as a components, with a label listing the name(s) of
    said component(s).
    </p>
    </div></div></div></div>
      </div>
    </div>
    
    
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 



<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#vars-1">Variables</a></h3></div>
  <div id="vars-1" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/flubioibm.html#variable-ibnames">ibNames</a>
      
      <a class="list-group-item" href="../type/flubioibm.html#variable-numberofbodies">numberOfBodies</a>
      
      <a class="list-group-item" href="../type/flubioibm.html#variable-ibdict">ibDict</a>
      
      <a class="list-group-item" href="../type/flubioibm.html#variable-ibsurfaces%7E2">ibSurfaces</a>
      
    </div>
  </div>
</div>





















    </section>
    <br class="visible-xs visible-sm hidden-md">

    
    <section>
    <h2>Components</h2>
    
<table class="table table-striped varlist">
<thead><tr><th>Type</th><th>Visibility</th>

<th>Attributes</th><th></th><th>Name</th><th></th><th>Initial</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-ibnames"></span>character(len=100),</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>ibNames</strong></td><td></td><td></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-numberofbodies"></span>integer,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>numberOfBodies</strong></td><td></td><td></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-ibdict"></span>type(<a href='../type/ibdictionary.html'>ibDictionary</a>),</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>ibDict</strong></td><td></td><td></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-ibsurfaces%7E2"></span>type(<a href='../type/stlfileswrapper.html'>stlFilesWrapper</a>),</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>ibSurfaces</strong></td><td></td><td></td><td></td>
  
</tr>

</tbody>
</table>

    </section>
    <br>
    
    
    
    
    
    
    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>